# TODO: ENABLE_FLOW (BR: gstreamermm-devel >= 1.8.0, libsigrokflow-devel >= 0.1.0)
#
# Conditional build:
%bcond_with	tests	# "make test" call (requires functional libusb, i.e. accessible USB subsystem)
#
Summary:	Qt based logic analyzer GUI for sigrok
Summary(pl.UTF-8):	Oparty na Qt graficzny interfejs analizatora logicznego dla szkieletu sigrok
Name:		pulseview
Version:	0.4.2
Release:	6
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	https://sigrok.org/download/source/pulseview/%{name}-%{version}.tar.gz
# Source0-md5:	108a5f095f06a9485d31a0349ea38243
Patch0:		%{name}-qt.patch
Patch1:		glib2.68.patch
URL:		https://sigrok.org/wiki/PulseView
BuildRequires:	Qt5Core-devel >= 5.3
BuildRequires:	Qt5Gui-devel >= 5.3
BuildRequires:	Qt5Svg-devel >= 5.3
BuildRequires:	Qt5Widgets-devel >= 5.3
BuildRequires:	boost-devel >= 1.55
%{?with_tests:BuildRequires:	boost-test >= 1.53}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	glibmm-devel >= 2.28.0
BuildRequires:	libsigrok-c++-devel >= 0.5.1
BuildRequires:	libsigrok-devel >= 0.5.1
BuildRequires:	libsigrokdecode-devel >= 0.5.2
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= 5.3
BuildRequires:	qt5-linguist >= 5.3
BuildRequires:	qt5-qmake >= 5.3
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	Qt5Gui-platform-xcb
Requires:	glib2 >= 1:2.28.0
Requires:	glibmm >= 2.28.0
Requires:	hicolor-icon-theme
Requires:	libsigrok >= 0.5.1
Requires:	libsigrok-c++-devel >= 0.5.1
Requires:	libsigrokdecode >= 0.5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt based logic analyzer GUI for sigrok.

%description -l pl.UTF-8
Oparty na Qt graficzny interfejs analizatora logicznego dla szkieletu
sigrok.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake .. \
	-DDISABLE_WERROR=ON \
	%{?with_tests:-DENABLE_TESTS=ON}

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/pulseview
%{_mandir}/man1/pulseview.1*
%{_desktopdir}/org.sigrok.PulseView.desktop
%{_iconsdir}/hicolor/*x*/apps/pulseview.png
%{_iconsdir}/hicolor/scalable/apps/pulseview.svg
%{_datadir}/metainfo/org.sigrok.PulseView.appdata.xml
%changelog
* Sat Jul 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pulseview.git;a=log;h=master

* Sat Jul 01 2023 Jan Palus <atler@pld-linux.org> ed12adc
- boost rebuild

* Sat Feb 18 2023 Jan Palus <atler@pld-linux.org> ca88c31
- boost rebuild

* Sat Jun 04 2022 Jan Palus <atler@pld-linux.org> a6c56b6
- boost rebuild

* Sun Jan 16 2022 Jan Palus <atler@pld-linux.org> 0edd433
- boost rebuild

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 1c2af80
- boost rebuild

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 8f2f5be
- upstream patch to fix build with glib2 >= 2.68

* Fri Jul 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 3a49d96
- added qt patch (fixes build with recent Qt5)

* Fri Jul 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 549149d
- updated to 0.4.2

* Wed Oct 09 2019 Jan Rękorajski <baggins@pld-linux.org> bd52dcf
- rebuild with boost 1.71
- release 3 (by relup.sh)

* Mon Apr 15 2019 Jan Rękorajski <baggins@pld-linux.org> a25e215
- icu/boost rebuild
- release 2 (by relup.sh)

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e54dc8a
- up to 0.4.0

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> e2750c9
- rebuild with boost 1.63.0
- release 4 (by relup.sh)

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 72996a3
- updated dependencies; package defaults to qt5 now

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> 24f3d6a
- boost 1.61 rebuild
- release 3 (by relup.sh)

* Fri Apr 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d635cf2
- rel 2; R Qt5Gui-platform-xcb

* Fri Apr 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 315e531
- up to 0.3.0

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 887f93c
- release 6 (by relup.sh)

* Tue Jun 09 2015 Elan Ruusamäe <glen@delfi.ee> d5e498a
- boost rebuild
- release 5 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 0e9057e
- rebuild with boost 1.57.0
- release 4 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> b82d45d
- rebuild with boost 1.56.0
- release 3 (by relup.sh)

